##############################
# Global configuration file for mpv media player
##
#
##############################
# Documentation: https://mpv.io/manual/master/
##

##############################
# Putting Command Line Options into the config file
##############################
# option            |  Config file entry
# --flag            |  flag
# -opt val          |  opt=val
# --opt=val         |  opt=val
# -opt "has spaces" |  opt="has spaces"

##############################
# GUI
##
no-border # no window title bar

# set the initial window size of mpv
# geometry=50%+10+10
geometry=50%

# Disable auto-loading of subtitles if they exist
autoload-files=no

# Force GPU accelerated video output by default
# vo=gpu #DEPRECATED!!!
vo=libmpv

# Create a log file for printing diagnostic info about mpv launch and playback
# log-file=~/logs/mpv/mpv.log

# Enable hardware decoding for all codecs
hwdec=videotoolbox

# Keep mpv open after video finishes playing
keep-open=yes

# Resume playback position from last played position if video did not finish playing
resume-playback
save-position-on-quit


# Bind a UNIX style socket to mpv so I can interact with mpv using a JSON IPC via a CLI
## NOTE: `ps aux` | grep mpv will not show the path to the socket in the cli args as it is defined within this configuration file
input-ipc-server=/tmp/mpvsocket

###
# EXP
#
cache=yes

